=== debian/changelog ===
ros-kinetic-udp-com (1.1.1-1xenial) xenial; urgency=high

  * find rostest once
  * add roslint to testdepend
  * add roslint within test conditional
  * removed roslint dependency
  * removed find gtest
  * set vcs repo url
  * bumped ros ci action
  * go back to manual ros_ci
  * added back in setup directories
  * trying in home directory
  * removed ros2 target
  * added ros2 foxy to help with ci
  * package name incorrect
  * updated ros ci
  * updated version for docs
  * doc not docs
  * updated docs action
  * added gitignore
  * update github release step
  * create pr to rosdistro
  * remove docs from non-docs branches
  * Merge pull request #64 <https://github.com/continental/udp_com/issues/64> from continental/ros1/main
  * changed remote url
  * Contributors: Evan Flynn

 -- Evan Flynn <evan.flynn@continental.com>  Fri, 14 Aug 2020 00:00:00 -0000
