=== debian/control ===
Source: ros-kinetic-udp-com
Section: misc
Priority: optional
Maintainer: Evan Flynn <evan.flynn@continental.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-nodelet, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rostest, ros-kinetic-std-msgs
Homepage: https://continental.github.io/udp_com
Standards-Version: 3.9.2

Package: ros-kinetic-udp-com
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-nodelet, ros-kinetic-roscpp, ros-kinetic-std-msgs
Description: The udp_com package
